import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../../shared/base-api-template-service.model';
import { JobAttachmentContainerModel } from '../../../../../../../models/aggregates/erp/delivery/job';
import { ApiVisa } from '../../../shared';
import { Observable } from 'rxjs';
import { Pagination, PagingResponseModel, BasicApiResponseModel } from './../../../shared';
export declare class JobAttachmentService extends BaseApiTemplateService<JobAttachmentContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    createJobAttachment(formData: FormData, visa: ApiVisa): Observable<Object>;
    getFile(guid: any, visa: ApiVisa): Observable<Blob>;
    getByGuidLoginEP(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    getByCriteriaBackoffice(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    getFileLoginEP(guid: any, visa: ApiVisa): Observable<Blob>;
}
